package controller;

import java.io.*;
import java.net.*;
import java.rmi.server.*;

/**
 * Eigene CustomRMISocketFactory, das Problem war nmlich folgendes: Wenn die
 * Netzwerkverbindung unterbrochen wurde und der Server versucht den Client zu
 * connecten, hat er hufig eine falsche IP-Adresse genommen wenn der Client
 * mehrere IP-Adressen hatte - z. B. bei virtuellen VMWare/VirtualBox-Netzwerk-
 * schnittstellen.
 * 
 * Jetzt verbindet er auf die IP-Adresse die schon beim Verbindungsaufbau vom
 * Client zum Server verwendet wurde.
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public class CustomRMISocketFactory extends RMISocketFactory implements
		Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public Socket createSocket(String host, int port) throws IOException {
		/*
		 * Socket socket = new Socket(); socket.setSoTimeout(timeoutMillis);
		 * socket.setSoLinger(false, 0);
		 * 
		 * socket.connect(new InetSocketAddress(ObserverUpdater.activeObserver,
		 * port), timeoutMillis);
		 * 
		 * 
		 */
        String givenHost = "";
        givenHost = ObserverUpdater.activeObserver;
        if (givenHost.equals(""))
        {
        	givenHost = host;
        }
		return new Socket(givenHost, port);
	}

	@Override
	public ServerSocket createServerSocket(int port) throws IOException {
		return new ServerSocket(port);
	}
}