package controller;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

/**
 * Schnittstelle der Funktionen des Servers
 * 
 * Version 1.0.07022013
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public interface ServerInterface extends Remote {
	String SERVICE_NAME = "Projektverwaltung";

	public void addObserver(ClientInterface remoteObserver)
			throws RemoteException;

	public void removeObserver(ClientInterface remoteObserver)
			throws RemoteException;

	public void selectData(Class tableName) throws RemoteException;

	public List<Object> getData(Class tableName) throws RemoteException;

	public List<Object> getDataWithClause(Class tableName, String column,
			String clause) throws RemoteException;

	public List<Object> getDataWithClause(Class tableName, String column,
			Integer clause) throws RemoteException;

	public boolean insertData(Object type) throws RemoteException;

	public boolean changeData(Object tableName) throws RemoteException;

	public boolean deleteData(Object tableName) throws RemoteException;
}