package controller;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.List;

/**
 * Implementierung des Server-Interfaces
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public class ServerInterfaceImpl extends UnicastRemoteObject implements
		ServerInterface {

	private static final long serialVersionUID = 1L;

	public ServerInterfaceImpl() throws RemoteException {
		super();
	}

	public void addObserver(ClientInterface remoteObserver)
			throws RemoteException {
		ObserverUpdater.addRemoteObserver(remoteObserver);
	}

	public void removeObserver(ClientInterface remoteObserver)
			throws RemoteException {
		ObserverUpdater.removeRemoteObserver(remoteObserver);
	}

	@Override
	public List<Object> getData(Class tableName) throws RemoteException {
		return RmiServer.controller.getData(tableName);
	}

	@Override
	public void selectData(Class tableName) throws RemoteException {
		RmiServer.controller.selectData(tableName);
	}

	@Override
	public boolean insertData(Object type) {
		return RmiServer.controller.insertData(type);
	}

	@Override
	public boolean changeData(Object tableName) throws RemoteException {
		return RmiServer.controller.changeData(tableName);
	}

	@Override
	public boolean deleteData(Object tableName) throws RemoteException {
		return RmiServer.controller.deleteData(tableName);
	}

	@Override
	public List<Object> getDataWithClause(Class tableName, String column,
			String clause) throws RemoteException {
		return RmiServer.controller
				.getDataWithClause(tableName, column, clause);
	}

	@Override
	public List<Object> getDataWithClause(Class tableName, String column,
			Integer clause) throws RemoteException {
		return RmiServer.controller
				.getDataWithClause(tableName, column, clause);
	}
}