package databaseModel;

import javax.persistence.*;

import java.util.List;


/**
 * The persistent class for the ANSPRECHPARTNER database table.
 * 
 */
@Entity
public class Ansprechpartner implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int id;	
	private String email;
	private String name;
	private Unternehmen unternehmenBean;
	private List<Projekt> projekts;

	public Ansprechpartner() {
	}


	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}


	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}


	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}


	//bi-directional many-to-one association to Unternehmen
	@ManyToOne
	@JoinColumn(name="UNTERNEHMEN")
	public Unternehmen getUnternehmenBean() {
		return this.unternehmenBean;
	}

	public void setUnternehmenBean(Unternehmen unternehmenBean) {
		this.unternehmenBean = unternehmenBean;
	}


	//bi-directional many-to-one association to Projekt
	@OneToMany(mappedBy="ansprechpartnerBean")
	public List<Projekt> getProjekts() {
		return this.projekts;
	}

	public void setProjekts(List<Projekt> projekts) {
		this.projekts = projekts;
	}

}